### Method

# Gio TlsConnection set_use_system_certdb

deprecated: 2.30 since: 2.28

#### Declaration

    void
    g_tls_connection_set_use_system_certdb (
      GTlsConnection* conn,
      gboolean use_system_certdb
    )

#### Description

Sets whether `conn` uses the system certificate database to verify peer certificates. This is `TRUE` by default. If set to `FALSE`, then peer certificate validation will always set the `G_TLS_CERTIFICATE_UNKNOWN_CA` error (meaning `GTlsConnection::accept-certificate` will always be emitted on client-side connections, unless that bit is not set in `GTlsClientConnection:validation-flags`).

Available since: 2.28

Deprecated since: 2.30

Use `g_tls_connection_set_database()` instead.

Sets property | `Gio.TlsConnection:use-system-certdb`

#### Parameters

`use_system_certdb`

  Type: `gboolean`

  Whether to use the system certificate database.